
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');
@import url('http://fonts.cdnfonts.com/css/cursed-timer-ulil');
*,*::before,*::after{
    margin: 0;
    padding: 0;
    box-sizing:border-box;
}
body{
    display: flex;
    align-items:  center;
    justify-content: center;
    min-height: 100vh;
}
.cntr{
    background-color: #0e1929;
    height: 50%;
    padding: 3em;
    max-height: 400px;
    max-width: 600px;
    color: white;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    border-radius: 6px;
}
.cntr span{
    color: rgb(28, 168, 28);
}
h1 + p{
    color: rgb(204, 197, 197);
    margin-top: 1rem;
}
#generatePsw{
    border: none;
    border-radius: 7px;
    cursor: pointer;
    padding: .7rem;
    background-color:rgb(95, 235, 95);
    color: white;
    transition: .5s;
    font-size: 15px;
    text-shadow: 0 4px 8px white;
}
#generatePsw:hover{
    background-color: transparent;
    border: 1px solid rgb(95, 235, 95);
    color: rgb(107, 235, 113);
    text-shadow: none;
}
#demo{
    border-bottom: 1px solid rgba(194, 191, 191, 0.342);
    margin-top: 1.6rem;
}

#genPassword1, #genPassword2{
    border:  1px solid rgb(95, 235, 95);
    border-radius: .3rem;
    width: 35%;
    cursor: pointer;
    font-size: 1rem;
    padding-right: 1rem;
    padding-left: 1rem;
    padding-block: .6rem;
    text-align: left;
    display: inline-block;
    transition: .5s;
    margin-top: 1.3rem;
    margin-left: .7rem;
    background-color:  transparent;
    color:rgb(28, 168, 28);
}
#genPassword1:hover, #genPassword2:hover{
    background-color: rgb(95, 235, 95);
    color: black;
}
.fa{
    color: rgb(28, 168, 28) ;
    margin: 10px 7px;
    cursor: pointer;
    transition: .4s;
    position: relative;
    display: block;
}
.fa:hover{
    color: rgb(95, 235, 95);
}
#demo2{
    font-size: 13px;
    width: 32%;
    text-align: center;
    margin-block: .7rem;
    position: absolute;
    visibility: hidden;
    color:rgb(38, 238, 38)
}

